org.eclipse.net4j.util.collection

## Class BidirectionalIterator<T>

- java.lang.Object
- - org.eclipse.net4j.util.collection.BidirectionalIterator<T>

- All Implemented Interfaces:
    java.util.Iterator<T>

      public class BidirectionalIterator<T>
      extends java.lang.Object
      implements java.util.Iterator<T>

  Since:
    3.3
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BidirectionalIterator(java.util.ListIterator<T> delegate)`
    `BidirectionalIterator(java.util.ListIterator<T> delegate, boolean backward)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ListIterator<T>` | `getDelegate()`
    `boolean` | `hasNext()`
    `boolean` | `isBackward()`
    `T` | `next()`
    `void` | `remove()`
    `void` | `setBackward(boolean backward)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### BidirectionalIterator

          public BidirectionalIterator(java.util.ListIterator<T> delegate,
                                       boolean backward)

    - #### BidirectionalIterator

          public BidirectionalIterator(java.util.ListIterator<T> delegate)

  - ### Method Detail

    - #### getDelegate

          public java.util.ListIterator<T> getDelegate()

    - #### isBackward

          public boolean isBackward()

    - #### setBackward

          public void setBackward(boolean backward)

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `java.util.Iterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<T>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html